#!/usr/bin/python
# -*- coding: utf-8 -*-

import wzory_fizyczne

import sys
from PyQt4 import QtGui, QtCore

class DragDrop(QtGui.QDialog):
    def __init__(self, parent=None):
        QtGui.QDialog.__init__(self, parent)

        self.setFixedSize(390, 300)
        self.setWindowTitle(unicode("właściwości fizyczne", "utf8"))

        self.medium = "Powietrze"
        self.media = ("Powietrze", "Woda", "N2", "O2", "CO2", "SO2", "Shell Thermia Oil B")
        self.wybor_medium = QtGui.QComboBox(self)
        #self.wybor_medium.move(20,10)
        #self.wybor_medium.resize(350,27)
        self.connect(self.wybor_medium, QtCore.SIGNAL('activated(QString)'), self.zmiana_medium)
        for i in self.media:
            self.wybor_medium.addItem(i)

        self.temperatura_text = QtGui.QLabel(unicode("temperatura, °C", "utf8"), self)

	self.T = 20
        self.temperatura = QtGui.QSpinBox(self)
        self.temperatura.setValue(20)
        self.temperatura.setMaximum(200)
        self.temperatura.setMinimum(0)
        self.connect(self.temperatura, QtCore.SIGNAL("valueChanged(int)"), self.licz)

        self.wyniki = QtGui.QTextEdit('', self)


        self.vbox = QtGui.QVBoxLayout()
        self.vbox.addWidget(self.wybor_medium)
        self.vbox.addWidget(self.temperatura_text)
        self.vbox.addWidget(self.temperatura)
        self.vbox.addWidget(self.wyniki)

        self.setLayout(self.vbox)

        screen = QtGui.QDesktopWidget().screenGeometry()
        size =  self.geometry()
        self.move((screen.width()-size.width())/2, 
            (screen.height()-size.height())/2)

	self.licz()



    def licz(self):
        if self.medium == "Powietrze":
          self.temperatura.setMaximum(200)
	  self.T = int(self.temperatura.value())
	  text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__powietrze(self.T),3)) + '[kg/m3]'
	  text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__powietrze(self.T),3)) + '[J/(kg*K)]'
	  text += '\nobjetosciowe cieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe_objetosciowe__powietrze(self.T),3)) + '[J/(kg*K)]'
	  text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__powietrze(self.T)*1e5,3)) + '[10^-5 m2/s]'
	  text += '\nlepkosc dynamiczna = ' + str(round(wzory_fizyczne.lepkosc_dynamiczna__powietrze(self.T)*1e5,3)) + '[10^-5 Pa*s]'
	  text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__powietrze(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
	  self.wyniki.setText(text)

        if self.medium == "Woda":
          self.temperatura.setMaximum(100)
          self.T = int(self.temperatura.text())
	  text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__woda(self.T),3)) + '[kg/m3]'
	  text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__woda(self.T),3)) + '[J/(kg*K)]'
	  text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__woda(self.T)*1e5,3)) + '[10^-5 m2/s]'
	  text += '\nlepkosc dynamiczna = ' + str(round(wzory_fizyczne.lepkosc_dynamiczna__woda(self.T)*1e5,3)) + '[10^-5 Pa*s]'
	  text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__woda(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
	  text += '\nliczba Pr = ' + str(round(wzory_fizyczne.liczba_Pr__woda(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "N2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
	  text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__N2(self.T),3)) + '[kg/m3]'
	  text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__N2(self.T),3)) + '[J/(kg*K)]'
	  text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__N2(self.T)*1e5,3)) + '[10^-5 m2/s]'
	  text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__N2(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "O2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
	  text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__O2(self.T),3)) + '[kg/m3]'
	  text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__O2(self.T),3)) + '[J/(kg*K)]'
	  text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__O2(self.T)*1e5,3)) + '[10^-5 m2/s]'
	  text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__O2(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "CO2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
	  text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__CO2(self.T),3)) + '[kg/m3]'
	  text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__CO2(self.T),3)) + '[J/(kg*K)]'
	  text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__CO2(self.T)*1e5,3)) + '[10^-5 m2/s]'
	  text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__CO2(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

        if self.medium == "SO2":
          self.temperatura.setMaximum(1200)
          self.T = int(self.temperatura.text())
	  text = 'cieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__SO2(self.T),3)) + '[J/(kg*K)]'
          self.wyniki.setText(text)

        if self.medium == "Shell Thermia Oil B":
          self.temperatura.setMaximum(300)
          self.T = int(self.temperatura.text())
	  text = 'gestosc = ' + str(round(wzory_fizyczne.gestosc__Shell_Thermia_Oil_B(self.T),3)) + '[kg/m3]'
	  text += '\ncieplo wlasciwe = ' + str(round(wzory_fizyczne.cieplo_wlasciwe__Shell_Thermia_Oil_B(self.T),3)) + '[J/(kg*K)]'
	  text += '\nlepkosc kinetyczna = ' + str(round(wzory_fizyczne.lepkosc_kinematyczna__Shell_Thermia_Oil_B(self.T)*1e5,3)) + '[10^-5 m2/s]'
	  text += '\nprzewodnosc cieplna = ' + str(round(wzory_fizyczne.przewodnosc_cieplna__Shell_Thermia_Oil_B(self.T)*1e3,3)) + '[10^-3 W/(m*K)]'
          self.wyniki.setText(text)

    def zmiana_medium(self, text):
        self.medium = text
        self.licz()

app = QtGui.QApplication(sys.argv)
icon = DragDrop()
icon.show()
app.exec_()

